import { CSSResultArray, TemplateResult } from 'lit';
import NileElement from '../internal/nile-element';
export declare class NileSectionMessage extends NileElement {
    static get styles(): CSSResultArray;
    private readonly hasSlotController;
    heading: string;
    description: string;
    iconSize: number;
    /** The section message theme variant. */
    variant: 'primary' | 'success' | 'warning' | 'error';
    iconMap: {
        primary: string;
        success: string;
        warning: string;
        error: string;
    };
    connectedCallback(): void;
    private addActionSeparators;
    render(): TemplateResult;
}
export default NileSectionMessage;
declare global {
    interface HTMLElementTagNameMap {
        'nile-section-message': NileSectionMessage;
    }
}
